local sprite = ComponentGetValue2(EntityGetFirstComponent(GetUpdatedEntityID(), "SpriteComponent"), "image_file"):match("([^/]+)%.xml$")

SetRandomSeed(GameGetFrameNum(), GetUpdatedEntityID())

if Random(0, 1) == 1 then
	ComponentSetValue2(EntityGetFirstComponent(GetUpdatedEntityID(), "SpriteComponent"), "image_file", "mods/lewd_noita/files/enemies/gfx/variations/" .. sprite .. ".xml")
end